#include"p24Exxxx.h"
#include "bluetooth.h"


#define FCY 64000000LL            //rajel definilsa
#include <libpic30.h>

unsigned char BTCMDMode[] = {"$$$"};            //Command mode 
unsigned char BTCMDModeOff[] = {"---\n"};       //Command mode exit
unsigned char BTSpeed [] = {"SU,11\n"};         //Baudrate setting
unsigned char BTReset[] = {"R,1\n"};            //Reset BT
unsigned char *ptr;        


void UARTInit()					//UART init
{
    U1BRG = 416;                //Baudrate 9600 
    U1MODEbits.UARTEN = 1;      //UART Enable
    U1STAbits.UTXEN = 1;        //UART TX Enable
	RPOR1bits.RP36R = 0b000001;	//UART TX RP36/RB4



}

void BTInit()
{
    __delay_ms(100);
    BTRESET = 1;            //Engedlyezzk a bluetooth-ot
    __delay_ms(1000);        //Megvrjuk,mg felled a BT
    ptr = BTCMDMode;
    while(*ptr != 0)        //Command mdba rakjuk a Bluetoothot
    {
        while(U1STAbits.UTXBF);
        U1TXREG = *ptr;
        ptr++;    
    }
    __delay_ms(100);    
    ptr = BTSpeed;    
    while(*ptr != 0)        //Belltjuk a Bluetooth sebessgt 110k-ra
    {
        while(U1STAbits.UTXBF);
        U1TXREG = *ptr;
        ptr++;    
    }        
    __delay_ms(100);
    BTRESET = 0;            //BT SPEED aktivls(Reset utn lp letbe)
    __delay_ms(100);   
    BTRESET = 1;                        
    U1BRG = 35;                //Belltjuk a PIC-et is az j sebessgre
}

void BTSend(void* Data, int size)
{
	char* ptr = (char*)Data;
	int i;
	for(i = 0; i < size; i++)       
    {
        while(U1STAbits.UTXBF);
        U1TXREG = *ptr;
        ptr++;    
    }

}
